# Contributing

## Reporting Issues

If you have found a bug in spire-of-babel please consider the following when submitting an issue:

- **Search existing [GitHub Issues](https://github.com/neogeek/spire-of-babel/issues)** - The bug you are experiencing might have already been reported or even fixed in an unreleased version of spire-of-babel so be sure to review both [open](https://github.com/neogeek/spire-of-babel/issues?state=open) and [closed](https://github.com/neogeek/spire-of-babel/issues?state=closed) issues.
- **Create a reproducible test case** - To make it easier for maintainers to validate the issue please include a [gist](https://gist.github.com/) containing files used to reproduce the issue.
- **Include relevant information** - Include clear steps to reproduce the issue.

## Pull Requests

Before submitting a pull request, be sure that the following requirements are meet:

- Additional tests have been added to validate the changes.
- Relevant documentation has been added.
- The build passes.
- There are no eslint errors using the included `.eslintrc` configuration.

## Code Style

- Use semicolons.
- Soft indent with 4 spaces.
- Always use camelCase.
- Prefer `'` over `"`.
- `'use strict';`
- Prefer strict equals `===` unless type coercion is needed.
- No trailing whitespace.
- Maintain newline at EOF.

## License

By contributing to spire-of-babel you agree that your contributions fall under the same license, [The MIT License (MIT)](LICENSE).
